Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.webservice.binding
Interface Binding

All Known Implementing Classes:
  AbstractBinding

Deprecated. please migrate to jws for webservices

public interface Binding

Binding represents an instance of a bound connection. It can be a client-server or server-client connection. An example of the binding is HTTP-SOAP client-side binding.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Method Summary
`BindingInfo` | `getBindingInfo()` Deprecated. Returns the binding information.
`String` | `getDestination()` Deprecated. Returns the destination of the request.
`String` | `getReplyTo()` Deprecated. Returns the address to which to send the response.
`String` | `getSender()` Deprecated. Returns the address of the sender.
`void` | `init(BindingInfo info)` Deprecated. Initializes this binding.
`void` | `receive(MessageContext context)` Deprecated. Receives a message from the binding connection.
`void` | `send(MessageContext context)` Deprecated. Sends the specified message to the destination.
`void` | `setDestination(String destination)` Deprecated. Sets the destination of the request
`void` | `setReplyTo(String replyTo)` Deprecated. Sets the address to which to send the response.
`void` | `setSender(String sender)` Deprecated. Sets the address of the sender.

Method Detail

### getBindingInfo

    public BindingInfo getBindingInfo()

  Deprecated.
  Returns the binding information.

  Returns:
    binding information

### getDestination

    public String getDestination()

  Deprecated.
  Returns the destination of the request.

  Returns:
    destination address

### getReplyTo

    public String getReplyTo()

  Deprecated.
  Returns the address to which to send the response. This is used only for asynchronous calls.

  Returns:
    address to sent response (eg: from@yahoo.com)

### getSender

    public String getSender()

  Deprecated.
  Returns the address of the sender.

  Returns:
    address of the sender

### init

    public void init(BindingInfo info)
              throws IOException

  Deprecated.
  Initializes this binding.

  Parameters:
    `info` - binding information used to create this binding
  Throws:
    `IOException` - failed to init binding

### receive

    public void receive(MessageContext context)
                 throws IOException,
                        SOAPException

  Deprecated.
  Receives a message from the binding connection. This call may wait until the message is received.

  Parameters:
    `context` - MessageContext that holds the SOAP envelope
  Throws:
    `IOException` - failed to receive message
    `IOException` - failed to construct soap message
    `SOAPException`

### send

    public void send(MessageContext context)
              throws IOException,
                     SOAPException

  Deprecated.
  Sends the specified message to the destination.

  Parameters:
    `context` - context which holds the soap message to send
  Throws:
    `IOException` - failed to send message
    `SOAPException` - failed to write soap message

### setDestination

    public void setDestination(String destination)

  Deprecated.
  Sets the destination of the request

  Parameters:
    `destination` - destination of the request

### setReplyTo

    public void setReplyTo(String replyTo)

  Deprecated.
  Sets the address to which to send the response.

  Parameters:
    `replyTo` - address to sent response

### setSender

    public void setSender(String sender)

  Deprecated.
  Sets the address of the sender.

  Parameters:
    `sender` - address of the sender

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD